Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615334 - Ch 16 low-latency
Ch 16 low-latency
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide (Show other bugs)
Development
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Lana Brindley
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 10:23 EDT by Robert Rati
Modified: 2013-10-23 19:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 16:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2010-07-16 10:23:07 EDT
Description of problem:
Remove "Further examples can be found at usr/share/doc/condor-low-latency-1.0/ll_condor_config"

Change
FetchWorkDelay = 10 * (Activity == "Idle")

To:
FetchWorkDelay = ifThenElse(State == "Claimed" && Activity == "Idle", 0, 10)


Suggest re-organizing table 16.1 such that all *LL_* items are together and all *JOB_HOOKS_* items are together.

"replyTo reply-t queue" => replyTo reply-to queue

In example 16.1, need to show definition of replyTo, so add:
replyTo = str(uuid4())

Also, add quotes around amq.direct, so 'amq.direct'

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lana Brindley 2010-07-18 22:51:31 EDT
(In reply to comment #0)
> Description of problem:
> Remove "Further examples can be found at
> usr/share/doc/condor-low-latency-1.0/ll_condor_config"

Removed.

> 
> Change
> FetchWorkDelay = 10 * (Activity == "Idle")
> 
> To:
> FetchWorkDelay = ifThenElse(State == "Claimed" && Activity == "Idle", 0, 10)
> 

<programlisting>
FetchWorkDelay = ifThenElse(State == "Claimed" &amp;&amp; Activity == "Idle", 0, 10)
STARTER_UPDATE_INTERVAL = 30
</programlisting>

> 
> Suggest re-organizing table 16.1 such that all *LL_* items are together and all
> *JOB_HOOKS_* items are together.

Good idea. Done.

> 
> "replyTo reply-t queue" => replyTo reply-to queue
> 
> In example 16.1, need to show definition of replyTo, so add:
> replyTo = str(uuid4())
> 
> Also, add quotes around amq.direct, so 'amq.direct'

<programlisting>
work_headers = {}
work_headers[&#39;Cmd&#39;] = &#39;&#34;/bin/sleep&#34;&#39;
work_headers[&#39;Arguments&#39;] = &#39;&#34;5&#34;&#39;
work_headers[&#39;Iwd&#39;] = &#39;&#34;/tmp&#34;&#39;
work_headers[&#39;Owner&#39;] = &#39;&#34;nobody&#34;&#39;
work_headers[&#39;JobUniverse&#39;] = 5
message_props = session.message_properties(application_headers=work_headers)
message_props.reply_to = session.reply_to('amq.direct', replyTo)
message_props.message_id = uuid4()
replyTo = str(uuid4())
</programlisting>

LKB
Comment 2 Luigi Toscano 2010-08-13 08:29:43 EDT
In the following code snippet, 

[...]
message_props = session.message_properties(application_headers=work_headers)
message_props.reply_to = session.reply_to('amq.direct', replyTo)
message_props.message_id = uuid4()
replyTo = str(uuid4())


replyTo should be defined before the line which uses it, so:

[...]
message_props = session.message_properties(application_headers=work_headers)
replyTo = str(uuid4())
message_props.reply_to = session.reply_to('amq.direct', replyTo)
message_props.message_id = uuid4()
Comment 3 Lana Brindley 2010-08-24 22:39:55 EDT
(In reply to comment #2)
> In the following code snippet, 
> 
> [...]
> message_props = session.message_properties(application_headers=work_headers)
> message_props.reply_to = session.reply_to('amq.direct', replyTo)
> message_props.message_id = uuid4()
> replyTo = str(uuid4())
> 
> 
> replyTo should be defined before the line which uses it, so:
> 
> [...]
> message_props = session.message_properties(application_headers=work_headers)
> replyTo = str(uuid4())
> message_props.reply_to = session.reply_to('amq.direct', replyTo)
> message_props.message_id = uuid4()

<programlisting>
work_headers = {}
work_headers[&#39;Cmd&#39;] = &#39;&#34;/bin/sleep&#34;&#39;
work_headers[&#39;Arguments&#39;] = &#39;&#34;5&#34;&#39;
work_headers[&#39;Iwd&#39;] = &#39;&#34;/tmp&#34;&#39;
work_headers[&#39;Owner&#39;] = &#39;&#34;nobody&#34;&#39;
work_headers[&#39;JobUniverse&#39;] = 5
message_props = session.message_properties(application_headers=work_headers)
replyTo = str(uuid4())
message_props.reply_to = session.reply_to(&#39;amq.direct&#39;, replyTo)
message_props.message_id = uuid4()
</programlisting>

LKB
Comment 4 Lubos Trilety 2010-09-01 08:17:40 EDT
All notes checked

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.